Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class PropertyHolderImpl

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.PropertyHolderImpl

All Implemented Interfaces:
  PropertyHolder

Direct Known Subclasses:
  CellImpl, MemberImpl, PropertyImpl

    public class PropertyHolderImpl

extends java.lang.Object
implements PropertyHolder

Created on 11.10.2002

Author:
  av

Constructor Summary
`PropertyHolderImpl()`
`PropertyHolderImpl(java.util.List propertyList)`
`PropertyHolderImpl(Property[] properties)`

Method Summary
`void` | `addProperty(PropertyImpl property)` very slow!
`Property[]` | `getProperties()` Returns the properties.
`Property` | `getProperty(java.lang.String name)` get a specific property of this member
`void` | `setProperties(Property[] properties)` Sets the properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyHolderImpl

    public PropertyHolderImpl()

### PropertyHolderImpl

    public PropertyHolderImpl(Property[] properties)

### PropertyHolderImpl

    public PropertyHolderImpl(java.util.List propertyList)

Method Detail

### getProperties

    public Property[] getProperties()

  Returns the properties.

  Specified by:
    `getProperties` in interface `PropertyHolder`
  Returns:
    Property[]

### setProperties

    public void setProperties(Property[] properties)

  Sets the properties.

  Parameters:
    `properties` - The properties to set

### getProperty

    public Property getProperty(java.lang.String name)

  Description copied from interface: `PropertyHolder`
  get a specific property of this member

  Specified by:
    `getProperty` in interface `PropertyHolder`
  See Also:
    `PropertyHolder.getProperty(String)`

### addProperty

    public void addProperty(PropertyImpl property)

  very slow!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD